Bug 958533 - Review Request: android-json-org-java - Androids rewrite of the evil licensed Json.org
Summary: Review Request: android-json-org-java - Androids rewrite of the evil licensed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Will Benton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 837450
TreeView+ depends on / blocked
 
Reported: 2013-05-01 18:56 UTC by gil cattaneo
Modified: 2013-11-10 07:04 UTC (History)
3 users (show)

Fixed In Version: android-json-org-java-4.3-0.1.r3.1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-09 03:31:21 UTC
willb: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
review.txt (10.43 KB, text/plain)
2013-09-16 16:56 UTC, Will Benton
no flags Details

Description gil cattaneo 2013-05-01 18:56:02 UTC
Spec URL: http://gil.fedorapeople.org/android-json-org-java.spec
SRPM URL: http://gil.fedorapeople.org/android-json-org-java-4.2.2-0.1.r1.2.fc18.src.rpm
Description: 
Json.org is a popular java library to parse and create json string from
the author of the json standard Douglas Crockford. His implementation however
is not free software[1].
Therefor the Android team did a cleanroom reimplementation of a json library
to be used inplace of the original one.
Fedora Account System Username: gil

Comment 2 Will Benton 2013-09-16 16:56:55 UTC
Created attachment 798360 [details]
review.txt

Comment 3 Will Benton 2013-09-16 16:58:36 UTC
I'm only asking for one small change on import; most notably, the license for every source file appears to be Apache 2.0, not Apache and BSD, so please update the metadata accordingly.  Thanks for packaging this, Gil!

Comment 5 Sergio Monteiro Basto 2013-10-28 21:53:11 UTC
gil cattaneo , you need do a scm request 

https://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages

Comment 6 gil cattaneo 2013-10-28 22:16:37 UTC
(In reply to Sergio Monteiro Basto from comment #5)
> gil cattaneo , you need do a scm request 
> 
> https://fedoraproject.org/wiki/
> Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages

i dont think so... this is *not* json.org library...


Spec URL: http://gil.fedorapeople.org/android-json-org-java.spec
SRPM URL: http://gil.fedorapeople.org/android-json-org-java-4.3-0.1.r3.1.fc19.src.rpm

New Package SCM Request
=======================
Package Name: android-json-org-java
Short Description: Androids rewrite of the evil licensed Json.org
Owners: gil
Branches: f19 f20
InitialCC: java-sig

Comment 7 Gwyn Ciesla 2013-10-29 11:55:49 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-10-29 19:10:25 UTC
android-json-org-java-4.3-0.1.r3.1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/android-json-org-java-4.3-0.1.r3.1.fc20

Comment 9 Fedora Update System 2013-10-29 19:19:54 UTC
android-json-org-java-4.3-0.1.r3.1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/android-json-org-java-4.3-0.1.r3.1.fc19

Comment 10 Fedora Update System 2013-10-30 17:10:31 UTC
android-json-org-java-4.3-0.1.r3.1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2013-11-09 03:31:21 UTC
android-json-org-java-4.3-0.1.r3.1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2013-11-10 07:04:03 UTC
android-json-org-java-4.3-0.1.r3.1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.